Bug 52939 - [snb] death by blorp while playing Psychonauts
Summary: [snb] death by blorp while playing Psychonauts
Status: RESOLVED INVALID
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium critical
Assignee: Intel 3D Bugs Mailing List
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-30 06:50 UTC by Sarah Sharp
Modified: 2017-02-10 22:38 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
i915_error_state (2.26 MB, text/plain)
2012-07-30 06:50 UTC, Sarah Sharp
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sarah Sharp 2012-07-30 06:50:38 UTC
Created attachment 64935 [details]
i915_error_state

Kernel: 2.6.35

Running latest Ubuntu edgers repo, which has all of xorg pulled from git as of
July 27, 2012.

Psychonauts hung in the middle of game play.  The first time this happened, it
continued on after a couple seconds.  The second time, the program closed.  
Attempting to restart it gave this error message:

sarah@puck:~/psychonauts$ ./Psychonauts 
STUBBED: fix up the rest of the SSE code first at DetectSSESupport (/home/icculus/projects/psychonauts/Source/CommonLibs/DFMath/MathGeneral.cpp:32)
STUBBED: write me? at SetPCLanguage (/home/icculus/projects/psychonauts/Source/game/luatest/UnixMain.cpp:120)
STUBBED: fix up the rest of the SSE code first at DetectCPUCaps (/home/icculus/projects/psychonauts/Source/game/luatest/Game/PCGameApp.cpp:223)
STUBBED: check LANG envr var at _GetDefaultGameLanguage (/home/icculus/projects/psychonauts/Source/game/luatest/Game/GameApp.cpp:171)
Console created
Save  path: /home/sarah/.local/share/Psychonauts
Write path: WorkResource
STUBBED: inline asm at SSEMul_4x4_4x4_2arg (/home/icculus/projects/psychonauts/Source/CommonLibs/DFMath/Matrix.cpp:710)
STUBBED: inline asm at SSEMul_4x4_4x4_3arg (/home/icculus/projects/psychonauts/Source/CommonLibs/DFMath/Matrix.cpp:698)
******** unit test failed ********
Transport started
DaveD: NCListenSocket: Listening on port 40001
STUBBED: VK_* at InitInputNames (/home/icculus/projects/psychonauts/Source/CommonLibs/DirectX/SDLInput.cpp:1220)
OpenGL: Wanted 4x FSAA, got 0x
intel_do_flush_locked failed: Input/output error
intel_do_flush_locked failed: Input/output error

Xorg.0.log:
[   764.391] (II) config/udev: Adding input device Microsoft Microsoft
SideWinder Plug & Play Game Pad (/dev/input/js0)
[   764.392] (II) No input driver specified, ignoring this device.
[   764.392] (II) This device may have been added with another device file.
[  1986.680] (EE) intel(0): Detected a hung GPU, disabling acceleration.
[  1986.680] (EE) intel(0): When reporting this, please include
i915_error_state from debugfs and the full dmesg.
Comment 1 Eric Anholt 2012-08-06 23:42:30 UTC
How long did you have to play?  Any specific part of the game that hung?  Can you capture it with apitrace (https://github.com/apitrace/apitrace) and reproduce the problem from the trace?

I've only run the game on ivb, and not for very long.
Comment 2 Sarah Sharp 2012-08-23 16:50:49 UTC
With debugging enabled and the latest psychonauts patch applied (http://treefort.icculus.org/psychonauts/), it takes up to 30 minutes to trigger a crash. It seems to happen when I'm rapidly changing directions, trying to hit a squirrel.

Possibly related crash captured with apitrace:
https://dl.dropbox.com/u/96820575/psychonauts-2012-08-07-21-00.trace
Comment 3 Daniel Vetter 2013-10-28 18:17:29 UTC
Please test Ken's snb blorp fixes from

http://cgit.freedesktop.org/~kwg/mesa/log/?h=snbfixes
Comment 4 Matt Turner 2014-08-11 03:21:01 UTC
Still reproducible?
Comment 5 Annie 2017-02-10 22:38:54 UTC
Dear Reporter,

This Mesa bug has been in the "NEEDINFO" status for over 60 days. I am closing this bug based on lack of response but feel free to reopen if resolution is still needed. Please ensure you're supplying the correct information as requested.

Thank you.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.